package com.fs.qw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.qw.domain.QwWorkUser;

import java.util.List;

/**
 * 企微获客添加的用户Service接口
 *
 * @author fs
 * @date 2025-01-10
 */
public interface IQwWorkUserService extends IService<QwWorkUser> {
    /**
     * 查询企微获客添加的用户
     *
     * @param id 企微获客添加的用户主键
     * @return 企微获客添加的用户
     */
    public QwWorkUser selectQwWorkUserById(Long id);

    /**
     * 查询企微获客添加的用户列表
     *
     * @param qwWorkUser 企微获客添加的用户
     * @return 企微获客添加的用户集合
     */
    public List<QwWorkUser> selectQwWorkUserList(QwWorkUser qwWorkUser);

    /**
     * 新增企微获客添加的用户
     *
     * @param qwWorkUser 企微获客添加的用户
     * @return 结果
     */
    public int insertQwWorkUser(QwWorkUser qwWorkUser);

    /**
     * 修改企微获客添加的用户
     *
     * @param qwWorkUser 企微获客添加的用户
     * @return 结果
     */
    public int updateQwWorkUser(QwWorkUser qwWorkUser);

    /**
     * 批量删除企微获客添加的用户
     *
     * @param ids 需要删除的企微获客添加的用户主键集合
     * @return 结果
     */
    public int deleteQwWorkUserByIds(Long[] ids);

    /**
     * 删除企微获客添加的用户信息
     *
     * @param id 企微获客添加的用户主键
     * @return 结果
     */
    public int deleteQwWorkUserById(Long id);

    void syncUsers();

    void uploadBd();

    void openidGetExId(String openId);

    void uploadYk();
}
